Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.cbsspersonservice.protocol.v1
Class RegisterPersonResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.rn.cbsspersonservice.protocol.v1.RegisterPersonResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class RegisterPersonResponse

extends StatusResponseType
implements Serializable

Type defining the structure of the response being sent to the consumer after the registration of the person took place

Java class for RegisterPersonResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RegisterPersonResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="Declaration" type="{urn:be:fgov:ehealth:rn:cbsspersonservice:core:v1}RegisterPersonDeclarationType" minOccurs="0"/>
             <element name="Result" type="{urn:be:fgov:ehealth:rn:cbsspersonservice:core:v1}RegisterPersonResultType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RegisterPersonResponse()`

Method Summary
`RegisterPersonDeclarationType` | `getDeclaration()` Gets the value of the declaration property.
`RegisterPersonResultType` | `getResult()` Gets the value of the result property.
`void` | `setDeclaration(RegisterPersonDeclarationType value)` Sets the value of the declaration property.
`void` | `setResult(RegisterPersonResultType value)` Sets the value of the result property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisterPersonResponse

    public RegisterPersonResponse()

Method Detail

### getDeclaration

    public RegisterPersonDeclarationType getDeclaration()

  Gets the value of the declaration property.

  Returns:
    possible object is `RegisterPersonDeclarationType`

### setDeclaration

    public void setDeclaration(RegisterPersonDeclarationType value)

  Sets the value of the declaration property.

  Parameters:
    `value` - allowed object is `RegisterPersonDeclarationType`

### getResult

    public RegisterPersonResultType getResult()

  Gets the value of the result property.

  Returns:
    possible object is `RegisterPersonResultType`

### setResult

    public void setResult(RegisterPersonResultType value)

  Sets the value of the result property.

  Parameters:
    `value` - allowed object is `RegisterPersonResultType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.